Archive Workflow
curl --request POST \
--url https://api.neuralfactory.ai/workflows/{workflow_id}/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"archived": true
}
'import requests
url = "https://api.neuralfactory.ai/workflows/{workflow_id}/archive"
payload = { "archived": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({archived: true})
};
fetch('https://api.neuralfactory.ai/workflows/{workflow_id}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.neuralfactory.ai/workflows/{workflow_id}/archive",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'archived' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.neuralfactory.ai/workflows/{workflow_id}/archive"
payload := strings.NewReader("{\n \"archived\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.neuralfactory.ai/workflows/{workflow_id}/archive")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"archived\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.neuralfactory.ai/workflows/{workflow_id}/archive")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"archived\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"description": "",
"version": "1.0.0",
"status": "active",
"step_count": 0,
"steps": [
{}
],
"input_schema": {},
"output_schema": {},
"error_handling": {},
"metadata": {},
"toolkits": [
{}
],
"created_by": "<string>",
"created_by_email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"visibility": "private",
"allowed_groups": [
"<string>"
],
"allowed_user_ids": [
"<string>"
],
"revision": 1,
"edit_seq": 0,
"published_revision": 123,
"from_use_case": {
"id": "<string>",
"version": 123
},
"governance_warnings": [
"<string>"
],
"last_run": {
"status": "<string>",
"completed_at": "<string>"
},
"run_count": 0,
"pending_approvals": 0,
"last_run_execution_id": "<string>",
"recent_statuses": [
"<string>"
],
"cost_30d": 123,
"tags": [
"<string>"
],
"is_favourite": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Workflows
Archive Workflow
Archive (or unarchive) a workflow. Archived workflows keep their runs and revisions but refuse new runs and schedules. Owner/admin only, mirroring publish/delete.
API key permission: Agents (Admin also opens it).
POST
/
workflows
/
{workflow_id}
/
archive
Archive Workflow
curl --request POST \
--url https://api.neuralfactory.ai/workflows/{workflow_id}/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"archived": true
}
'import requests
url = "https://api.neuralfactory.ai/workflows/{workflow_id}/archive"
payload = { "archived": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({archived: true})
};
fetch('https://api.neuralfactory.ai/workflows/{workflow_id}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.neuralfactory.ai/workflows/{workflow_id}/archive",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'archived' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.neuralfactory.ai/workflows/{workflow_id}/archive"
payload := strings.NewReader("{\n \"archived\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.neuralfactory.ai/workflows/{workflow_id}/archive")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"archived\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.neuralfactory.ai/workflows/{workflow_id}/archive")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"archived\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"description": "",
"version": "1.0.0",
"status": "active",
"step_count": 0,
"steps": [
{}
],
"input_schema": {},
"output_schema": {},
"error_handling": {},
"metadata": {},
"toolkits": [
{}
],
"created_by": "<string>",
"created_by_email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"visibility": "private",
"allowed_groups": [
"<string>"
],
"allowed_user_ids": [
"<string>"
],
"revision": 1,
"edit_seq": 0,
"published_revision": 123,
"from_use_case": {
"id": "<string>",
"version": 123
},
"governance_warnings": [
"<string>"
],
"last_run": {
"status": "<string>",
"completed_at": "<string>"
},
"run_count": 0,
"pending_approvals": 0,
"last_run_execution_id": "<string>",
"recent_statuses": [
"<string>"
],
"cost_30d": 123,
"tags": [
"<string>"
],
"is_favourite": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Response
Successful Response